de.esprit.appsuite.gui.list

## Class ListDataAdapter

- java.lang.Object
- - de.esprit.appsuite.gui.list.ListDataAdapter

- All Implemented Interfaces:
    java.util.EventListener, javax.swing.event.ListDataListener
  Direct Known Subclasses:
    ListDataAndSelectionAdapter

      public abstract class ListDataAdapter
      extends java.lang.Object
      implements javax.swing.event.ListDataListener

  This adapter registers for `ListDataEvent`s and reduces the three `ListDataListener` methods to just a single one for convenience.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListDataAdapter(javax.swing.JList list)`
    `ListDataAdapter(javax.swing.ListModel model)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contentsChanged(javax.swing.event.ListDataEvent e)`
    `void` | `deregister()`
    `protected javax.swing.ListModel` | `getListModel()`
    `void` | `intervalAdded(javax.swing.event.ListDataEvent e)`
    `void` | `intervalRemoved(javax.swing.event.ListDataEvent e)`
    `protected abstract void` | `listDataChanged(javax.swing.event.ListDataEvent e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListDataAdapter

          public ListDataAdapter(javax.swing.JList list)

    - #### ListDataAdapter

          public ListDataAdapter(javax.swing.ListModel model)

  - ### Method Detail

    - #### contentsChanged

          public void contentsChanged(javax.swing.event.ListDataEvent e)

      Specified by:
        `contentsChanged` in interface `javax.swing.event.ListDataListener`

    - #### intervalAdded

          public void intervalAdded(javax.swing.event.ListDataEvent e)

      Specified by:
        `intervalAdded` in interface `javax.swing.event.ListDataListener`

    - #### intervalRemoved

          public void intervalRemoved(javax.swing.event.ListDataEvent e)

      Specified by:
        `intervalRemoved` in interface `javax.swing.event.ListDataListener`

    - #### getListModel

          protected javax.swing.ListModel getListModel()

    - #### listDataChanged

          protected abstract void listDataChanged(javax.swing.event.ListDataEvent e)

    - #### deregister

          public void deregister()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.